=== modified file 'NEWS'
--- NEWS	2009-09-16 07:47:47 +0000
+++ NEWS	2009-09-16 11:59:14 +0000
@@ -52,6 +52,9 @@
   the partial packs created during the conversion not being consolidated
   at the end of the conversion process. (Robert Collins, #423818)
 
+* Don't give a warning on Windows when failing to import ``_readdir_pyx``
+  as it is never built. (John Arbash Meinel, #430645)
+
 * Don't restrict the command name used to run the test suite.
   (Vincent Ladeuil, #419950)
 

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2009-09-11 06:39:56 +0000
+++ bzrlib/osutils.py	2009-09-16 11:59:14 +0000
@@ -1828,7 +1828,8 @@
             from bzrlib._readdir_pyx import UTF8DirReader
             file_kind_from_stat_mode = UTF8DirReader().kind_from_mode
         except ImportError, e:
-            failed_to_load_extension(e)
+            # This is one time where we won't warn that an extension failed to
+            # load. The extension is never available on Windows anyway.
             from bzrlib._readdir_py import (
                 _kind_from_mode as file_kind_from_stat_mode
                 )

